<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\SendVhsInfoDruckListen;


abstract class SendVhsInfoDruckListenAllgemeinController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getRequestObj()
  {
    
    $requestObj = new SendVhsInfoDruckListenAllgemeinRequest();

    
    
    $requestObj->kursIds = explode(':',\RequestOperations::getVarValue('nr',''));
    $requestObj->liste = \RequestOperations::getVarValue('liste',''); 
    return $requestObj;
  }
  
  protected function getPresenter($pUseCaseResponse)
  {
    return new SendVhsInfoDruckListenAllgemeinPresenter($pUseCaseResponse);
  }
  
  
  
}